diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-ue-measurements.cc ns-3.42/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.41/src/lte/test/lte-test-ue-measurements.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/lte-test-ue-measurements.cc	2024-05-29 15:29:47.128073700 -0700
@@ -84,7 +84,7 @@
  */
 
 LteUeMeasurementsTestSuite::LteUeMeasurementsTestSuite()
-    : TestSuite("lte-ue-measurements", SYSTEM)
+    : TestSuite("lte-ue-measurements", Type::SYSTEM)
 {
     AddTestCase(new LteUeMeasurementsTestCase("d1=10, d2=10000",
                                               10.000000,
@@ -93,7 +93,7 @@
                                               -113.739702,
                                               -3.010305,
                                               -63.010305),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=20, d2=10000",
                                               20.000000,
                                               10000.000000,
@@ -101,7 +101,7 @@
                                               -113.739702,
                                               -3.010319,
                                               -56.989719),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=50, d2=10000",
                                               50.000000,
                                               10000.000000,
@@ -109,7 +109,7 @@
                                               -113.739702,
                                               -3.010421,
                                               -49.031021),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=100, d2=10000",
                                               100.000000,
                                               10000.000000,
@@ -117,7 +117,7 @@
                                               -113.739702,
                                               -3.010783,
                                               -43.010783),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=200, d2=10000",
                                               200.000000,
                                               10000.000000,
@@ -125,7 +125,7 @@
                                               -113.739702,
                                               -3.012232,
                                               -36.991632),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=100, d2=10000",
                                               100.000000,
                                               10000.000000,
@@ -133,7 +133,7 @@
                                               -113.739702,
                                               -3.010783,
                                               -43.010783),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=200, d2=10000",
                                               200.000000,
                                               10000.000000,
@@ -141,7 +141,7 @@
                                               -113.739702,
                                               -3.012232,
                                               -36.991632),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=500, d2=10000",
                                               500.000000,
                                               10000.000000,
@@ -149,7 +149,7 @@
                                               -113.739702,
                                               -3.022359,
                                               -29.042959),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=1000, d2=10000",
                                               1000.000000,
                                               10000.000000,
@@ -157,7 +157,7 @@
                                               -113.739702,
                                               -3.058336,
                                               -23.058336),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=2000, d2=10000",
                                               2000.000000,
                                               10000.000000,
@@ -165,7 +165,7 @@
                                               -113.739702,
                                               -3.199337,
                                               -17.178738),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=5000, d2=10000",
                                               5000.000000,
                                               10000.000000,
@@ -173,7 +173,7 @@
                                               -113.739702,
                                               -4.075793,
                                               -10.096393),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteUeMeasurementsTestCase("d1=10000, d2=10000",
                                               10000.000000,
                                               10000.000000,
@@ -181,7 +181,7 @@
                                               -113.739702,
                                               -6.257687,
                                               -6.257687),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=20000, d2=10000",
                                               20000.000000,
                                               10000.000000,
@@ -189,7 +189,7 @@
                                               -113.739702,
                                               -10.373365,
                                               -4.352765),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=50000, d2=10000",
                                               50000.000000,
                                               10000.000000,
@@ -197,7 +197,7 @@
                                               -113.739702,
                                               -17.605046,
                                               -3.625645),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=100000, d2=10000",
                                               100000.000000,
                                               10000.000000,
@@ -205,7 +205,7 @@
                                               -113.739702,
                                               -23.511071,
                                               -3.511071),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=200000, d2=10000",
                                               200000.000000,
                                               10000.000000,
@@ -213,7 +213,7 @@
                                               -113.739702,
                                               -29.502549,
                                               -3.481949),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=500000, d2=10000",
                                               500000.000000,
                                               10000.000000,
@@ -221,7 +221,7 @@
                                               -113.739702,
                                               -37.453160,
                                               -3.473760),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteUeMeasurementsTestCase("d1=1000000, d2=10000",
                                               1000000.000000,
                                               10000.000000,
@@ -229,7 +229,7 @@
                                               -113.739702,
                                               -43.472589,
                                               -3.472589),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 }
 
 /**
@@ -452,7 +452,7 @@
  */
 
 LteUeMeasurementsPiecewiseTestSuite1::LteUeMeasurementsPiecewiseTestSuite1()
-    : TestSuite("lte-ue-measurements-piecewise-1", SYSTEM)
+    : TestSuite("lte-ue-measurements-piecewise-1", Type::SYSTEM)
 {
     std::vector<Time> expectedTime;
     std::vector<uint8_t> expectedRsrp;
@@ -478,7 +478,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With normal threshold
     config.threshold1.range = 54;
@@ -491,7 +491,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With short time-to-trigger
     config.timeToTrigger = 64;
@@ -504,7 +504,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With long time-to-trigger
     config.timeToTrigger = 128;
@@ -517,7 +517,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With super time-to-trigger
     config.timeToTrigger = 256;
@@ -530,7 +530,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With hysteresis
     config.hysteresis = 8;
@@ -544,7 +544,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // With very high threshold
     config.threshold1.range = 97;
@@ -556,7 +556,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // === Event A2 (serving cell becomes worse than threshold) ===
 
@@ -570,7 +570,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With normal threshold
     config.threshold1.range = 54;
@@ -583,7 +583,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With short time-to-trigger
     config.timeToTrigger = 64;
@@ -596,7 +596,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With long time-to-trigger
     config.timeToTrigger = 128;
@@ -609,7 +609,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With super time-to-trigger
     config.timeToTrigger = 256;
@@ -622,7 +622,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With hysteresis
     config.hysteresis = 8;
@@ -636,7 +636,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // With very high threshold
     config.threshold1.range = 97;
@@ -652,7 +652,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     /*
      * Event A3, A4, and A5 are not tested intensively here because they depend on
@@ -672,7 +672,7 @@
                                                         config,
                                                         expectedTime,
                                                         expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // === Event A4 (neighbour becomes better than threshold) ===
 
@@ -682,7 +682,7 @@
                                                         config,
                                                         expectedTime,
                                                         expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // === Event A5 (PCell becomes worse than absolute threshold1 AND neighbour becomes better than
     // another absolute threshold2) ===
@@ -693,7 +693,7 @@
                                                         config,
                                                         expectedTime,
                                                         expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
 } // end of LteUeMeasurementsPiecewiseTestSuite1::LteUeMeasurementsPiecewiseTestSuite1
 
@@ -956,7 +956,7 @@
  */
 
 LteUeMeasurementsPiecewiseTestSuite2::LteUeMeasurementsPiecewiseTestSuite2()
-    : TestSuite("lte-ue-measurements-piecewise-2", SYSTEM)
+    : TestSuite("lte-ue-measurements-piecewise-2", Type::SYSTEM)
 {
     std::vector<Time> expectedTime;
     std::vector<uint8_t> expectedRsrp;
@@ -985,7 +985,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With normal threshold
     config.threshold1.range = 58;
@@ -998,7 +998,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With hysteresis
     config.hysteresis = 6;
@@ -1011,7 +1011,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // With very high threshold
     config.threshold1.range = 97;
@@ -1023,7 +1023,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // === Event A2 (serving cell becomes worse than threshold) ===
 
@@ -1037,7 +1037,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With normal threshold
     config.threshold1.range = 58;
@@ -1050,7 +1050,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With hysteresis
     config.hysteresis = 6;
@@ -1063,7 +1063,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // With very high threshold
     config.threshold1.range = 97;
@@ -1077,7 +1077,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // === Event A3 (neighbour becomes offset better than PCell) ===
 
@@ -1094,7 +1094,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With zero offset
     config.a3Offset = 0;
@@ -1107,7 +1107,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // With short time-to-trigger
     config.timeToTrigger = 160;
@@ -1120,7 +1120,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With super time-to-trigger
     config.timeToTrigger = 320;
@@ -1133,7 +1133,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With hysteresis and reportOnLeave
     config.hysteresis = 6;
@@ -1148,7 +1148,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // With negative offset
     config.a3Offset = -7;
@@ -1163,7 +1163,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // === Event A4 (neighbour becomes better than threshold) ===
 
@@ -1180,7 +1180,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With normal threshold
     config.threshold1.range = 58;
@@ -1193,7 +1193,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With short time-to-trigger
     config.timeToTrigger = 160;
@@ -1206,7 +1206,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With super time-to-trigger
     config.timeToTrigger = 320;
@@ -1219,7 +1219,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With hysteresis
     config.hysteresis = 6;
@@ -1233,7 +1233,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // With very high threshold
     config.threshold1.range = 97;
@@ -1245,7 +1245,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // === Event A5 (PCell becomes worse than absolute threshold1 AND neighbour becomes better than
     // another absolute threshold2) ===
@@ -1261,7 +1261,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With low-normal threshold
     config.threshold2.range = 58;
@@ -1270,7 +1270,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With low-high threshold
     config.threshold2.range = 97;
@@ -1279,7 +1279,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With normal-low threshold
     config.threshold1.range = 58;
@@ -1293,7 +1293,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With normal-normal threshold
     config.threshold2.range = 58;
@@ -1306,7 +1306,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With short time-to-trigger
     config.timeToTrigger = 160;
@@ -1319,7 +1319,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With super time-to-trigger
     config.timeToTrigger = 320;
@@ -1332,7 +1332,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // With hysteresis
     config.hysteresis = 6;
@@ -1346,7 +1346,7 @@
                                                 config,
                                                 expectedTime,
                                                 expectedRsrp),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // With normal-high threshold
     config.threshold2.range = 97;
@@ -1358,7 +1358,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With high-low threshold
     config.threshold1.range = 97;
@@ -1372,7 +1372,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // With high-normal threshold
     config.threshold2.range = 58;
@@ -1385,7 +1385,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // With high-high threshold
     config.threshold2.range = 97;
@@ -1396,7 +1396,7 @@
                     config,
                     expectedTime,
                     expectedRsrp),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
 } // end of LteUeMeasurementsPiecewiseTestSuite2::LteUeMeasurementsPiecewiseTestSuite2
 
@@ -1695,7 +1695,7 @@
  */
 
 LteUeMeasurementsPiecewiseTestSuite3::LteUeMeasurementsPiecewiseTestSuite3()
-    : TestSuite("lte-ue-measurements-piecewise-3", SYSTEM)
+    : TestSuite("lte-ue-measurements-piecewise-3", Type::SYSTEM)
 {
     std::vector<Time> expectedTime;
 
@@ -1724,7 +1724,7 @@
     AddTestCase(new LteUeMeasurementsPiecewiseTestCase3("Piecewise test case 3 - Event A4",
                                                         config,
                                                         expectedTime),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 } // end of LteUeMeasurementsPiecewiseTestSuite3::LteUeMeasurementsPiecewiseTestSuite3
 
 /**
@@ -1960,7 +1960,7 @@
  */
 
 LteUeMeasurementsHandoverTestSuite::LteUeMeasurementsHandoverTestSuite()
-    : TestSuite("lte-ue-measurements-handover", SYSTEM)
+    : TestSuite("lte-ue-measurements-handover", Type::SYSTEM)
 {
     std::list<LteRrcSap::ReportConfigEutra> sourceConfigList;
     std::list<LteRrcSap::ReportConfigEutra> targetConfigList;
@@ -2001,7 +2001,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::TAKES_FOREVER);
+        TestCase::Duration::TAKES_FOREVER);
 
     // increasing report interval
     sourceConfigList.front().reportInterval = LteRrcSap::ReportConfigEutra::MS120;
@@ -2017,7 +2017,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // === Event difference ===
 
@@ -2043,7 +2043,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // Event A2 to Event A1
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A2;
@@ -2056,7 +2056,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // Event A3 to Event A4
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A3;
@@ -2071,7 +2071,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // Event A4 to Event A3
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A4;
@@ -2086,7 +2086,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Event A2 to Event A3
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A2;
@@ -2101,7 +2101,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // Event A3 to Event A2
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A3;
@@ -2116,7 +2116,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // Event A4 to Event A5
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A4;
@@ -2131,7 +2131,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::TAKES_FOREVER);
+                TestCase::Duration::TAKES_FOREVER);
 
     // Event A5 to Event A4
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A5;
@@ -2146,7 +2146,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // === Threshold/offset difference ===
 
@@ -2167,7 +2167,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // Event A2
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A2;
@@ -2183,7 +2183,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // Event A3
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A3;
@@ -2201,7 +2201,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     // Event A4
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A4;
@@ -2217,7 +2217,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // Event A5
     sourceConfigList.front().eventId = LteRrcSap::ReportConfigEutra::EVENT_A5;
@@ -2233,7 +2233,7 @@
                                               expectedTime,
                                               expectedRsrp,
                                               Seconds(2)),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // === Time-to-trigger (TTT) difference ===
 
@@ -2259,7 +2259,7 @@
                                                       expectedTime,
                                                       expectedRsrp,
                                                       Seconds(2)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // decreasing time-to-trigger (longer duration)
     sourceConfigList.front().timeToTrigger = 1024;
